2021-04-17 15:13 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000302FSSCPgameplaypublic2007-11-22 13:59
ReporterLightspeed 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionduplicate 
Product Version 
Target VersionFixed in Version 
Summary0000302: New pilot code breaks the techroom
DescriptionWhen you play a MOD with a pilot, and access its techroom, and then switch back to "retail", all the techroom entries will be gone. From there, the pilot is totally messed up, new techroom entries will be added, but they will disappear again if you play a mission in the simulator (?!). The same happens with all new pilots that I create. The starting entries show up, and I can unlock the rest of the ships (through a dummy campaign), but as soon as I run a mission in the mission simulator all ship entries but the starting ones are gone from the techroom again. When I switch to a MOD, the "in techroom" ships do not get shown at all, and I get an empty techroom.
TagsNo tags attached.
Attached Files

-Relationships
child of 0000481resolvedZacam Problems related to the pilot file code (container for multiple bugs) 
+Relationships

-Notes

~0001560

taylor (administrator)

What build are you using?

The code currently works like this: When it reads a campaign savefile it will reset to in in-techroom data by default and then read what is actually in the savefile. Note that since this info is specific to the mod (and referenced by ship *name*), when you switch mods you need to make sure that the campaign changes as well so that the techroom data is correct. If you don't switch the campaign then it's possible to mess up the techroom and stats data if the tbls are different.

For your specific mission simulator problem, there shouldn't be any savepoints left that work anywhere in the techroom. It does read though which is why the data gets reset, it's not saved in the file yet. When you finish any mission in a campaign it's supposed to save properly but you can force a save by going into the campaign room, making sure your campaign is active and hit accept/commit (whatever is there). This will automatically save all current information to the file. If it's not doing this during the dummy campaign though then it's a bug that I need to look at.

If this behavior just seems totally wrong to you let me know. It's done this way to help prevent data crossing over between savefiles. I may be a bit too cautious with it though.

~0001611

taylor (administrator)

* BUMP *

Anything? You can get around this for now by using one of the newest builds with the new hotkey in it. I think that only pheak's has it though. Ctrl-Shift-S will instantly show all ships in the techroom. Not really a fix for this problem but it will get you around it at least.

~0001736

taylor (administrator)

Last edited: 2005-03-10 10:50

Ok, got a simple yet effective fix for this. The default values (what's in the savefile) will only be used with the savefile is first loaded. After that it leave the current values alone. This will prevent future reads (without in-between saves) from replacing the current data. Currently done for ship/weapon loadout, viewable cutscenes, and ships/weapons/intel data in the techroom. Not done for stats (kills, etc.) but it will get handled better in the next version upgrade for the campaign savefiles.

I'll leave this bug open until it's proven to fix this problem (assuming you ever respond Lightspeed :P). A link to a build with this fix will be in this same post by tomorrow night so don't forget to check back.

EDIT: http://icculus.org/~taylor/fso/willrobinson/20050310-win32r.zip

It's current CVS, which Bob and WMC have been playing around in, so it would probably be safer to stay out of the lab. I've tested the pilot file changes a good bit but be safe and have a backup of your pilot files just in case. Let me know if it's better, or worse.

edited on: 03-10-05 10:50

~0001737

Lightspeed (reporter)

Sorry... I am here.... kind of.

I should be able to give this a test once the link is up.

~0001738

Lightspeed (reporter)

Good. I'll check multiplayer with this one as well.

~0002003

kasperl (developer)

Reminder sent to Lightspeed

Is this fixed now?

~0002073

kasperl (developer)

Reminder sent to Lightspeed

Another bug that's waiting for your feedback, could you take a look at this and tell us if it's fixed?

~0002084

kasperl (developer)

Long standing feedback.

~0002377

phreak (developer)

Last edited: 2005-05-13 09:51

I think i'm getting this too. It'll occur when i switch between mods, especially if lots of ships are changed, like InfernoR1 (which doesn't need a high limit build)

edited on: 05-13-05 09:51

~0002379

taylor (administrator)

Just recently or earlier too? I think that something recently has messed up since quite a few people seem to be having problems just recently. I'm going to try and replicate the problems this weekend and see if I can track it down. May be related to the same old problem or something new.

I really need to step up and get the new pilot code done but it's a complete restructure of the code plus a format update so it's not moving very fast, especially with what little time I've had lately.

~0002385

phreak (developer)

i think the best way to replicate it would be to create a new pilot and select the main fs2 campaign from the campaign room. Then select a mod with a campaign and select that campaign in the campaign room. Turn the mod off and select the main FS2 camp again. The techroom may be screwed up at that point.

~0002851

taylor (administrator)

Added to a container bug, 0000481.

Closered.
+Notes

-Issue History
Date Modified Username Field Change
2005-01-15 14:29 Lightspeed New Issue
2005-01-18 12:56 taylor Note Added: 0001560
2005-01-18 12:57 taylor Status new => assigned
2005-01-18 12:57 taylor Assigned To => taylor
2005-02-01 13:20 taylor Note Added: 0001611
2005-03-10 00:13 taylor Note Added: 0001736
2005-03-10 08:44 Lightspeed Note Added: 0001737
2005-03-10 10:50 taylor Note Edited: 0001736
2005-03-10 12:06 Lightspeed Note Added: 0001738
2005-03-20 05:47 kasperl Note Added: 0002003
2005-03-31 03:54 taylor Status assigned => feedback
2005-03-31 07:08 kasperl Note Added: 0002073
2005-04-04 12:52 kasperl Status feedback => assigned
2005-04-04 12:52 kasperl Assigned To taylor => kasperl
2005-04-04 12:54 kasperl Note Added: 0002084
2005-04-04 12:54 kasperl Status assigned => feedback
2005-05-13 09:50 phreak Note Added: 0002377
2005-05-13 09:51 phreak Note Edited: 0002377
2005-05-13 09:56 taylor Note Added: 0002379
2005-05-13 15:26 phreak Note Added: 0002385
2005-05-24 18:48 taylor Status feedback => assigned
2005-05-24 18:48 taylor Assigned To kasperl => taylor
2005-07-22 03:05 taylor Status assigned => closed
2005-07-22 03:05 taylor Note Added: 0002851
2006-10-31 23:41 taylor Relationship added child of 0000481
2006-10-31 23:41 taylor Resolution open => suspended
2007-11-22 13:59 taylor Resolution suspended => duplicate
+Issue History